xine-lib: xine-lib-1.2.12/src/combined/ffmpeg/ff_mpeg_parser.h File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions
ff_mpeg_parser.h File Reference
`#include <stdint.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | mpeg_parser_s

## Typedefs
typedef struct mpeg_parser_s | mpeg_parser_t

## Functions
void | mpeg_parser_init (mpeg_parser_t *parser, size_t padding_size)
void | mpeg_parser_dispose (mpeg_parser_t *parser)
uint8_t * | mpeg_parser_decode_data (mpeg_parser_t *parser, uint8_t *current, uint8_t *end, int *flush)
void | mpeg_parser_reset (mpeg_parser_t *parser)

## Typedef Documentation

## ◆ mpeg_parser_t

typedef struct mpeg_parser_s mpeg_parser_t

## Function Documentation

## ◆ mpeg_parser_decode_data()

uint8_t * mpeg_parser_decode_data | ( | mpeg_parser_t * | parser,
|  | uint8_t * | current,
|  | uint8_t * | end,
|  | int * | flush
| ) |  |

References mpeg_parser_s::buffer_size, mpeg_parser_s::chunk_buffer, mpeg_parser_s::chunk_ptr, mpeg_parser_s::chunk_start, mpeg_parser_s::code, code, copy_chunk(), mpeg_parser_s::frame_aspect_ratio, get_aspect_ratio(), mpeg_parser_s::has_sequence, NULL, and parse_chunk().

Referenced by ff_handle_mpeg12_buffer().

## ◆ mpeg_parser_dispose()

void mpeg_parser_dispose | ( | mpeg_parser_t * | parser | ) |

References mpeg_parser_s::chunk_buffer, and NULL.

Referenced by ff_dispose().

## ◆ mpeg_parser_init()

void mpeg_parser_init | ( | mpeg_parser_t * | parser,
|  | size_t | padding_size
| ) |  |

References BUFFER_SIZE, mpeg_parser_s::chunk_buffer, and mpeg_parser_reset().

Referenced by ff_init_mpeg12_mode().

## ◆ mpeg_parser_reset()

void mpeg_parser_reset | ( | mpeg_parser_t * | parser | ) |

References mpeg_parser_s::aspect_ratio_info, mpeg_parser_s::buffer_size, mpeg_parser_s::chunk_buffer, mpeg_parser_s::chunk_ptr, mpeg_parser_s::chunk_start, mpeg_parser_s::code, mpeg_parser_s::frame_aspect_ratio, mpeg_parser_s::frame_duration, mpeg_parser_s::has_sequence, mpeg_parser_s::height, mpeg_parser_s::in_slice, mpeg_parser_s::is_mpeg1, mpeg_parser_s::is_sequence_needed, mpeg_parser_s::picture_coding_type, mpeg_parser_s::rate_code, mpeg_parser_s::shift, and mpeg_parser_s::width.

Referenced by ff_reset(), and mpeg_parser_init().